Subject: bug#9094: closed (Re: BUG found in comm)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Jul 2011 14:11:14 +0000

Your bug report

#9094: BUG found in comm

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9094: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9094
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: BUG found in comm
From: Jim Meyering <[email-masked]>
To: [email-masked]
Cc: Raphael Borchert <[email-masked]>
Date: Sun, 24 Jul 2011 16:10:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> I found a bug in "comm"
> If I use "comm -1 -3 MNF.lst sketch.lst", I get the number "104014", but
> both files contain the number   "104014"
>
> here my terminal:
> [p308663 <at> cexlx111 SKETCH]$ comm -1 -3 MNF.lst sketch.lst | head -20
> 11250
> 104014
> 104079

Thank you for the report.  However, that is not a bug.
The problem is that your input is not sorted, and comm
requires that each input stream be sorted.

Using the --check-order option shows the offending line:

    $ comm --check-order -1 -3 MNF.lst sketch.lst
    11250
    comm: file 2 is not in sorted order
    [Exit 1]

I've closed this "issue".

Subject: BUG found in comm
From: Raphael Borchert <[email-masked]>
To: [email-masked]
Date: Fri, 15 Jul 2011 17:25:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I found a bug in "comm" 
If I use "comm -1 -3 MNF.lst sketch.lst", I get the number "104014", but 
both files contain the number   "104014"

here my terminal:
[p308663@cexlx111 SKETCH]$ comm -1 -3 MNF.lst sketch.lst | head -20
11250
104014
104079
104112
104122
104131
104150
104160
115839
115844
115847
115966
115978
119842
119983
120406
120407
120513
120517
120521
[p308663@cexlx111 SKETCH]$ grep 104014 MNF.lst sketch.lst
MNF.lst:104014
MNF.lst:1040140
MNF.lst:1040141
MNF.lst:1040142
MNF.lst:1040143
MNF.lst:1040144
MNF.lst:1040145
MNF.lst:1040146
MNF.lst:1040147
MNF.lst:1040148
MNF.lst:1040149
MNF.lst:1104014
sketch.lst:104014
[p308663@cexlx111 SKETCH]$ 

testfiles:

mit freundlichen Grüßen

Raphael Borchert

EGA4
Telefon:  +49 (0) 711 / 911-89072
Fax:      +49 (0) 711 / 911-82006
E-Mail:   [email-masked]

Dr. Ing. h.c. F.  Porsche Aktiengesellschaft
Sitz der Gesellschaft: Stuttgart
Registergericht: Amtsgericht Stuttgart HRB-Nr. 730623
Vorsitzender des Aufsichtsrats: Dr. Wolfgang Porsche
Vorstand: Matthias Müller, Vorsitzender
Thomas Edig, stv. Vorsitzender
Wolfgang Hatz, Wolfgang Leimgruber, Bernhard Maier, Lutz Meschke, Uwe-Karsten Städter

Die vorgenannten Angaben werden jeder E-Mail automatisch hinzugefügt. Dies ist kein Anerkenntnis, 
dass es sich beim Inhalt dieser E-Mail um eine rechtsverbindliche Erklärung der Porsche AG handelt. 
Erklärungen, die die Porsche AG verpflichten, bedürfen jeweils der Unterschrift durch zwei zeichnungs-
berechtigte Personen der AG.